Update a contract
curl --request PUT \
--url https://api-{region}.sesametime.com/contract/v1/contracts/{contractId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"startAt": "2023-12-25",
"endAt": "2023-12-25",
"code": "<string>",
"comment": "<string>",
"jobChargeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contractTypeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agreementId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"degreeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workDayTypeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"socialSecurityNumber": "<string>",
"trialPeriod": {
"trialPeriodType": "months",
"quantity": "6"
},
"cbo": "2024-01",
"remoteWork": true,
"seniorityDate": "2023-12-25",
"jobLevel": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"jobPositionDescription": "<string>",
"weeklyHours": 123,
"maxLegalWeeklyHours": 123,
"maxLegalAnnualHours": 123,
"percentageWorkDay": 123,
"fte": 123,
"workDays": [
{
"hour": 123
}
]
}
'import requests
url = "https://api-{region}.sesametime.com/contract/v1/contracts/{contractId}"
payload = {
"startAt": "2023-12-25",
"endAt": "2023-12-25",
"code": "<string>",
"comment": "<string>",
"jobChargeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contractTypeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agreementId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"degreeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workDayTypeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"socialSecurityNumber": "<string>",
"trialPeriod": {
"trialPeriodType": "months",
"quantity": "6"
},
"cbo": "2024-01",
"remoteWork": True,
"seniorityDate": "2023-12-25",
"jobLevel": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"jobPositionDescription": "<string>",
"weeklyHours": 123,
"maxLegalWeeklyHours": 123,
"maxLegalAnnualHours": 123,
"percentageWorkDay": 123,
"fte": 123,
"workDays": [{ "hour": 123 }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
startAt: '2023-12-25',
endAt: '2023-12-25',
code: '<string>',
comment: '<string>',
jobChargeId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
contractTypeId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
agreementId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
degreeId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
workDayTypeId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
socialSecurityNumber: '<string>',
trialPeriod: {trialPeriodType: 'months', quantity: '6'},
cbo: '2024-01',
remoteWork: true,
seniorityDate: '2023-12-25',
jobLevel: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
jobPositionDescription: '<string>',
weeklyHours: 123,
maxLegalWeeklyHours: 123,
maxLegalAnnualHours: 123,
percentageWorkDay: 123,
fte: 123,
workDays: [{hour: 123}]
})
};
fetch('https://api-{region}.sesametime.com/contract/v1/contracts/{contractId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "c6bd9090-06ec-48e5-a3bc-22181cf0a6c9",
"startAt": "2021-12-13",
"endAt": "2022-12-13",
"startDate": "2021-12-13",
"endDate": "2022-12-13",
"comment": "",
"code": "",
"jobChargeId": "c6bd9090-06ec-48e5-a3bc-22181cf0a6c9",
"jobChargeName": "the name of the job charge",
"contractTypeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contractTypeName": "<string>",
"agreementId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agreementName": "<string>",
"degreeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"degreeName": "<string>",
"workDayTypeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workDayTypeName": "<string>",
"socialSecurityNumber": "<string>",
"trialPeriodType": "<string>",
"trialPeriodQuantity": 123,
"seniorityDate": "2022-12-13",
"percentageWorkDay": 123,
"weeklyHours": 123,
"cbo": "",
"remoteWork": true,
"jobLevelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"jobLevelName": "<string>",
"jobPositionDescription": "<string>",
"maxLegalWeeklyHours": 123,
"maxLegalAnnualHours": 123,
"fte": 123,
"workDays": [
{
"day": "monday",
"hours": 8
}
]
},
"meta": {
"currentPage": 1,
"lastPage": 1,
"total": 1,
"perPage": 1
}
}Contracts
Update a contract
PUT
/
contract
/
v1
/
contracts
/
{contractId}
Update a contract
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Contract ID
Body
application/json
Contract object that needs to be updated
Start date of contract
end date of contract
Code of the contract
Comments
Job charge ID
The ID of the agreement
The ID of the agreement
The ID of the degree
The ID of the work type
The social security number
Show child attributes
Show child attributes
CBO code (Brazilian Classification of Occupations)
Pattern:
^\d{4}(-\d{2})?$Example:
"2024-01"
Remote work
Seniority date
The job level
The job position description
Weekly working hours
Max legal weekly working hours
Max legal annual working hours
Percentage of workday
The FTE value should be between 0 and 1
Show child attributes
Show child attributes
Was this page helpful?
⌘I